package com.starcharge.wios.export.impl;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.starcharge.wios.bo.SupplierBo;
import com.starcharge.wios.dao.entity.Delivery;
import com.starcharge.wios.dao.entity.Reject;
import com.starcharge.wios.dao.mappers.DeliveryMapper;
import com.starcharge.wios.dao.mappers.RejectMapper;
import com.starcharge.wios.export.Export;
import com.starcharge.wios.service.SupplierService;
import com.starcharge.wios.vo.SupplierVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;

/**
 * 退货管理导出
 * 
 * @author xgl
 * @version [版本号, 2023年11月14日]
 */
@Service
public class RejectExport implements Export<Delivery> {

    @Autowired
    private DeliveryMapper deliveryMapper;
    
    @Override
    public List<Delivery> getExportList(String json) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        Delivery condition = mapper.readValue(json, Delivery.class);
        List<String> listLogisticStatus= Arrays.asList("退货已申请","退货已驳回","退货已通过","退货完成");
        condition.setLogisticStatusList(listLogisticStatus);
        List<Delivery> list = deliveryMapper.selectDeliveryList(condition);
        int no = 1;
        for (Delivery vo : list) {
            vo.setId(no++);
            vo.setQuantity(1);
        }
        return list;
    }
    
}
